org.jbpm.process.instance.impl

## Class DefaultProcessInstanceManager

- java.lang.Object
- - org.jbpm.process.instance.impl.DefaultProcessInstanceManager

- All Implemented Interfaces:
    ProcessInstanceManager

      public class DefaultProcessInstanceManager
      extends Object
      implements ProcessInstanceManager

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultProcessInstanceManager()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProcessInstance(org.kie.api.runtime.process.ProcessInstance processInstance, org.kie.internal.process.CorrelationKey correlationKey)`
    `void` | `clearProcessInstances()`
    `void` | `clearProcessInstancesState()`
    `org.kie.api.runtime.process.ProcessInstance` | `getProcessInstance(org.kie.internal.process.CorrelationKey correlationKey)`
    `org.kie.api.runtime.process.ProcessInstance` | `getProcessInstance(long id)`
    `org.kie.api.runtime.process.ProcessInstance` | `getProcessInstance(long id, boolean readOnly)`
    `Collection<org.kie.api.runtime.process.ProcessInstance>` | `getProcessInstances()`
    `void` | `internalAddProcessInstance(org.kie.api.runtime.process.ProcessInstance processInstance)`
    `void` | `internalRemoveProcessInstance(org.kie.api.runtime.process.ProcessInstance processInstance)`
    `void` | `removeProcessInstance(org.kie.api.runtime.process.ProcessInstance processInstance)`
    `void` | `setProcessCounter(AtomicLong processCounter)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultProcessInstanceManager

          public DefaultProcessInstanceManager()

  - ### Method Detail

    - #### addProcessInstance

          public void addProcessInstance(org.kie.api.runtime.process.ProcessInstance processInstance,
                                         org.kie.internal.process.CorrelationKey correlationKey)

      Specified by:
        `addProcessInstance` in interface `ProcessInstanceManager`

    - #### internalAddProcessInstance

          public void internalAddProcessInstance(org.kie.api.runtime.process.ProcessInstance processInstance)

      Specified by:
        `internalAddProcessInstance` in interface `ProcessInstanceManager`

    - #### getProcessInstances

          public Collection<org.kie.api.runtime.process.ProcessInstance> getProcessInstances()

      Specified by:
        `getProcessInstances` in interface `ProcessInstanceManager`

    - #### getProcessInstance

          public org.kie.api.runtime.process.ProcessInstance getProcessInstance(long id)

      Specified by:
        `getProcessInstance` in interface `ProcessInstanceManager`

    - #### getProcessInstance

          public org.kie.api.runtime.process.ProcessInstance getProcessInstance(long id,
                                                                                boolean readOnly)

      Specified by:
        `getProcessInstance` in interface `ProcessInstanceManager`

    - #### removeProcessInstance

          public void removeProcessInstance(org.kie.api.runtime.process.ProcessInstance processInstance)

      Specified by:
        `removeProcessInstance` in interface `ProcessInstanceManager`

    - #### internalRemoveProcessInstance

          public void internalRemoveProcessInstance(org.kie.api.runtime.process.ProcessInstance processInstance)

      Specified by:
        `internalRemoveProcessInstance` in interface `ProcessInstanceManager`

    - #### clearProcessInstances

          public void clearProcessInstances()

      Specified by:
        `clearProcessInstances` in interface `ProcessInstanceManager`

    - #### clearProcessInstancesState

          public void clearProcessInstancesState()

      Specified by:
        `clearProcessInstancesState` in interface `ProcessInstanceManager`

    - #### getProcessInstance

          public org.kie.api.runtime.process.ProcessInstance getProcessInstance(org.kie.internal.process.CorrelationKey correlationKey)

      Specified by:
        `getProcessInstance` in interface `ProcessInstanceManager`

    - #### setProcessCounter

          public void setProcessCounter(AtomicLong processCounter)

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.